PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceCreate

Get a new handle for a particular device type

### Synopsis

    PetscErrorCode PetscDeviceCreate(PetscDeviceType type, PetscInt devid, PetscDevice *device)

Not Collective, Possibly Synchronous

### Input Parameters

| type | - The type of PetscDevice
| devid | - The numeric ID# of the device (pass PETSC_DECIDE to assign automatically)

### Output Parameter

| device | - The PetscDevice

### Notes

This routine may initialize PetscDevice. If this is the case, this will most likely cause some sort of device synchronization.

devid is what you might pass to cudaSetDevice() for example.

### See Also

PetscDevice, PetscDeviceInitType, PetscDeviceInitialize(),
PetscDeviceInitialized(), PetscDeviceConfigure(), PetscDeviceView(), PetscDeviceDestroy()

### Level

beginner

### Location

src/sys/objects/device/interface/device.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages